select
    an.numero as numero,
    cob.data as data_tentativa,
    rep.data as data_parto,
    (case when (rep.retencaoplacenta = 0) then 'No' when (rep.retencaoplacenta = 1) then 'Sim' else null end) as retencao_placenta,
    tp.descricao as tipo_parto,
    axp.descricao as grau_auxilio,
    (rep.data - cob.data) as Inter_tentativa_parto,
    (select count(*) from reproducao re where re.cdanimal = an.cdanimal and re.cdtiporeproducao = 7) + coalesce(an.numpartoentrada, 0) as ordem_parto,
    se.nome as setor
from
    animal an
    left join reproducao rep on rep.cdreproducao =
            (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao = 7 and
                        re.cdanimal = an.cdanimal order by re.data desc)
    join tipoparto tp on rep.cdtipoparto = tp.cdtipoparto
    left join auxilioparto axp on axp.cdauxilioparto = rep.cdauxilioparto
    left join reproducao cob on cob.cdreproducao =
            (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao in (1,2,3) and
                        re.cdanimal = rep.cdanimal and rep.data>re.data order by re.data desc)
    left join setor se on se.cdsetor = an.cdsetor
where
    --- ALTERE AQUI A DATA DO PARTO. MANTENHA A DATA NO FORMATO AAAA-MM-DD.
    rep.data between '2014-01-01' and '2014-12-30'
    and an.tipoanimal = 'A'
    and an.animalrebanho = '1'
order by
    an.numero